## LOC Set Engine Lock request LOC Set Engine Lock request |

## Functions

QmiMessageLocSetEngineLockInput * | qmi_message_loc_set_engine_lock_input_new ()
QmiMessageLocSetEngineLockInput * | qmi_message_loc_set_engine_lock_input_ref ()
void | qmi_message_loc_set_engine_lock_input_unref ()
gboolean | qmi_message_loc_set_engine_lock_input_get_lock_type ()
gboolean | qmi_message_loc_set_engine_lock_input_set_lock_type ()
QmiMessageLocSetEngineLockOutput * | qmi_message_loc_set_engine_lock_output_ref ()
void | qmi_message_loc_set_engine_lock_output_unref ()
gboolean | qmi_message_loc_set_engine_lock_output_get_result ()
void | qmi_client_loc_set_engine_lock ()
QmiMessageLocSetEngineLockOutput * | qmi_client_loc_set_engine_lock_finish ()

## Types and Values

| QmiMessageLocSetEngineLockInput
| QmiMessageLocSetEngineLockOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocSetEngineLockInput
        ╰── QmiMessageLocSetEngineLockOutput

## Description

## Functions

### qmi_message_loc_set_engine_lock_input_new ()

    QmiMessageLocSetEngineLockInput *
    qmi_message_loc_set_engine_lock_input_new
                                   (void);

Allocates a new QmiMessageLocSetEngineLockInput.

#### Returns

the newly created QmiMessageLocSetEngineLockInput. The returned value should be freed with `qmi_message_loc_set_engine_lock_input_unref()`.

Since: 1.28

### qmi_message_loc_set_engine_lock_input_ref ()

    QmiMessageLocSetEngineLockInput *
    qmi_message_loc_set_engine_lock_input_ref
                                   (QmiMessageLocSetEngineLockInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetEngineLockInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_loc_set_engine_lock_input_unref ()

    void
    qmi_message_loc_set_engine_lock_input_unref
                                   (QmiMessageLocSetEngineLockInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetEngineLockInput. |

Since: 1.28

### qmi_message_loc_set_engine_lock_input_get_lock_type ()

    gboolean
    qmi_message_loc_set_engine_lock_input_get_lock_type
                                   (QmiMessageLocSetEngineLockInput *self,
                                    QmiLocLockType *value_lock_type,
                                    GError **error);

Get the 'Lock Type' field from `self` .

#### Parameters

self | a QmiMessageLocSetEngineLockInput. |
value_lock_type | a placeholder for the output QmiLocLockType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_loc_set_engine_lock_input_set_lock_type ()

    gboolean
    qmi_message_loc_set_engine_lock_input_set_lock_type
                                   (QmiMessageLocSetEngineLockInput *self,
                                    QmiLocLockType value_lock_type,
                                    GError **error);

Set the 'Lock Type' field in the message.

#### Parameters

self | a QmiMessageLocSetEngineLockInput. |
value_lock_type | a QmiLocLockType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_loc_set_engine_lock_output_ref ()

    QmiMessageLocSetEngineLockOutput *
    qmi_message_loc_set_engine_lock_output_ref
                                   (QmiMessageLocSetEngineLockOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetEngineLockOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_loc_set_engine_lock_output_unref ()

    void
    qmi_message_loc_set_engine_lock_output_unref
                                   (QmiMessageLocSetEngineLockOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetEngineLockOutput. |

Since: 1.28

### qmi_message_loc_set_engine_lock_output_get_result ()

    gboolean
    qmi_message_loc_set_engine_lock_output_get_result
                                   (QmiMessageLocSetEngineLockOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocSetEngineLockOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_loc_set_engine_lock ()

    void
    qmi_client_loc_set_engine_lock (QmiClientLoc *self,
                                    QmiMessageLocSetEngineLockInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Engine Lock request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_set_engine_lock_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocSetEngineLockInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_loc_set_engine_lock_finish ()

    QmiMessageLocSetEngineLockOutput *
    qmi_client_loc_set_engine_lock_finish (QmiClientLoc *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_loc_set_engine_lock()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_set_engine_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocSetEngineLockOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_set_engine_lock_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageLocSetEngineLockInput

    typedef struct _QmiMessageLocSetEngineLockInput QmiMessageLocSetEngineLockInput;

The QmiMessageLocSetEngineLockInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageLocSetEngineLockOutput

    typedef struct _QmiMessageLocSetEngineLockOutput QmiMessageLocSetEngineLockOutput;

The QmiMessageLocSetEngineLockOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28